PP2DOT(1)

NAME
pp2dot

SYNOPSIS
pp2dot [options] ]infile.pp outfile_dp.ps

DESCRIPTION
Convert an (extended) pp file to a dot plot file (like produced by RNAfold -p). pp is a locarna proprietary format for representing dot plots. Reads pp file from infile.pp and write dotplot file to outputfile_dp.ps

A pp-file has the following structure

[SCORE: X]

<name1> <seq1> . . . <nameK> <seqK>

# <i1> <j1> <p1> [<p2> [<w1> [<w2>]]]

The script accepts up to four weights per base pair in the pp file. Missing weights are considered to be 0. The script draws p1 as the size of a dot in the upper right triangle and w1 as its color. p2 and w2 are visualized accordingly in the lower left triangle.

The color palette is controlled by options.

OPTIONS

--colors P
    Color palette. Use --colors2 to define a second palette for the lower-left triangle. Default: "black","cyan","green","yellow","red"

--colors2 P
    Color palette for lower left triangle.

--help
    Brief help message

--man
    Full documentation